Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs
Class WCSRequestBase

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wcs.WCSRequestBase

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

Direct Known Subclasses:
  DescribeCoverage, GetCoverage

    public class WCSRequestBase

extends AbstractOGCWebServiceRequest

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`WCSRequestBase(String id, String version)`
`WCSRequestBase(String id, String version, HashMap<String,String> vendorSpecificParameter)`

Method Summary
`String` | `getServiceName()` returns WCS as service name

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WCSRequestBase

    public WCSRequestBase(String id,
                          String version)

Parameters:
  `version` -
  `id` -

### WCSRequestBase

    public WCSRequestBase(String id,
                          String version,
                          HashMap<String,String> vendorSpecificParameter)

Parameters:
  `id` -
  `version` -
  `vendorSpecificParameter` -

Method Detail

### getServiceName

    public String getServiceName()

  returns WCS as service name

  Returns:
    WCS as service name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org